%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-common-tools
Version:          1.1.0
Release:          7%{?dist}
Summary:          JBossWS Common Tools
Group:            Development/Libraries
License:          LGPLv2+ and ASL 2.0
URL:              http://www.jboss.org/jbossws

# svn export http://anonsvn.jboss.org/repos/jbossws/common-tools/tags/jbossws-common-tools-1.1.0.Final/ jbossws-common-tools-1.1.0.Final
# tar cafJ jbossws-common-tools-1.1.0.Final.tar.xz jbossws-common-tools-1.1.0.Final
Source0:          jbossws-common-tools-%{namedversion}.tar.xz
Source1:          http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    ant
BuildRequires:    maven-local
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-dependency-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    gnu-getopt
BuildRequires:    jbossws-spi >= 2.1.0
BuildRequires:    jbossws-api >= 1.0.1
BuildRequires:    jbossws-parent
BuildRequires:    log4j
BuildRequires:    junit

%if 0%{?fedora} > 17
BuildRequires:  plexus-pom
BuildRequires:  plexus-components-pom
%endif

Requires:         jpackage-utils
Requires:         java
Requires:         ant
Requires:         gnu-getopt
Requires:         jbossws-spi >= 2.1.0
Requires:         jbossws-api >= 1.0.1
Requires:         log4j

%description
JBoss Web Services - Common Tools

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jbossws-common-tools-%{namedversion}

cp %{SOURCE1} .

%build
mvn-rpmbuild \
    -Dproject.build.sourceEncoding=UTF-8 \
    install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc LICENSE-2.0.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE-2.0.txt

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.1.0-6
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Nov 21 2012 Marek Goldmann <mgoldman@redhat.com> - 1.1.0-5
- Version requirements for jbossws-spi and jbossws-api packages

* Tue Nov 13 2012 Marek Goldmann <mgoldman@redhat.com> - 1.1.0-4
- Made plexus- BR required only for F18+

* Mon Nov 12 2012 Marek Goldmann <mgoldman@redhat.com> - 1.1.0-3
- Added license file

* Mon Nov 12 2012 Marek Goldmann <mgoldman@redhat.com> - 1.1.0-2
- Missing BR

* Mon Nov 12 2012 Marek Goldmann <mgoldman@redhat.com> - 1.1.0-1
- Upstream release 1.1.0.Final

* Mon Nov 12 2012 Marek Goldmann <mgoldman@redhat.com> - 1.0.1-2
- Initial packaging

